package com.jiuqi.util;

public class ColorUtil {
   public static final int WHITE = -1;
   public static final int BLACK = 0;

   public static int BGR2RGB(int color) {
      if (color < 0) {
         return color;
      } else {
         int red = (color & 255) << 16;
         int blue = (color & 16711680) >> 16;
         int green = color & '\uff00';
         return red | blue | green;
      }
   }

   public static int RGB2BGR(int color) {
      if (color < 0) {
         return color;
      } else {
         int red = (color & 16711680) >> 16;
         int blue = (color & 255) << 16;
         int green = color & '\uff00';
         return red | blue | green;
      }
   }

   public static int parseHexColor(String colorString) {
      int result = -1;
      StringBuffer numberStr = new StringBuffer();

      for(int i = colorString.length() - 1; i >= 0; --i) {
         char chr = colorString.charAt(i);
         if (chr >= '0' && chr <= '9' || chr >= 'a' && chr <= 'f' || chr >= 'A' && chr <= 'F') {
            numberStr.insert(0, chr);
         }

         if (numberStr.length() == 6) {
            break;
         }

         if (chr == '+' || chr == '-') {
            numberStr.insert(0, chr);
            break;
         }
      }

      if (numberStr.length() > 0) {
         result = Integer.parseInt(numberStr.toString(), 16);
      }

      return result;
   }

   public static int parseHexRGBColor(String colorString) {
      return BGR2RGB(parseHexColor(colorString));
   }

   public static void main(String[] args) {
      System.out.println(parseHexRGBColor("#FF7792"));
   }
}
